package examples.ejb20.basic.beanManagedDependentValueObjects;

/**
 * A Dependent Value Object that models the typical "address" usecase for a 
 * dependent object.
 *
 * @author: Floyd Marinescu, Senior Architect, The Middleware Company.
 * The Middleware Company is an Enterprise Java Training company. Visit our
 * website at: www.middleware-company.com.
 * Copyright 2001 The Middleware Company.
 */
public class AddressDependentValue implements java.io.Serializable {

	protected String address1;
	protected String address2;
	protected String city;
	protected String state;
	protected String country;
	protected String postalCode;
	protected long phoneNumber;
	
public AddressDependentValue( String address1, String address2, String city, String state, String country, String postalCode, long phoneNumber)
{
	
	this.address1 = address1;
	this.address2 = address2;
	this.city 	  = city;
	this.state    = state;
	this.country  = country;
	this.postalCode = postalCode;
	this.phoneNumber = phoneNumber;
	
}

public java.lang.String getAddress1() {
	return address1;
}

public java.lang.String getAddress2() {
	return address2;
}

public java.lang.String getCity() {
	return city;
}

public java.lang.String getCountry() {
	return country;
}

public long getPhoneNumber() {
	return phoneNumber;
}

public java.lang.String getPostalCode() {
	return postalCode;
}

public java.lang.String getState() {
	return state;
}
}
